<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>wims: CASClient Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>CASClient Class Reference</h1><!-- doxytag: class="CASClient" -->
<p><a href="class_c_a_s_client-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_output.html#ga4b1b9ad5ad4201f028ec8d0e18b18c53">setHTMLHeader</a> ($header)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_output.html#gabf7142cdd0ce86dc8f79b09777d705c7">setHTMLFooter</a> ($footer)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_lang.html#gad9e3665f38b85df23d2526e259bbf59a">setLang</a> ($lang)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_config.html#gabdec9c2ebe0befd2f9362e739caa1942">setExtraCurlOption</a> ($key, $value)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_config.html#ga8835a61f1bd234295466079e8b3c83af">CASClient</a> ($server_version, $proxy, $server_hostname, $server_port, $server_uri, $start_session=true)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_authentication.html#gab3ffd6b93090db528cf062a65ac37cfc">getUser</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_authentication.html#ga7bcaa9e312a031c1e331094872f8b18f">renewAuthentication</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_authentication.html#gab947846496cb49145ba7e7ee477f04db">forceAuthentication</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_authentication.html#gab1742f63ea7d299a0c9b50797bea9ecc">setCacheTimesForAuthRecheck</a> ($n)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_authentication.html#ga093a3e248675ab5db97efe2668707947">checkAuthentication</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_authentication.html#ga8d474263083c513b38e959293e9b731e">isAuthenticated</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_authentication.html#ga473da5bed5067e4ada55ed067ab06eab">isSessionAuthenticated</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_authentication.html#gae9bfb10cfc63b4eebb4d82b223dcfaa2">redirectToCas</a> ($gateway=false, $renew=false)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_authentication.html#ga18cdc996e900f333351fc80b6649c7b6">logout</a> ($params)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_authentication.html#ga9c73e13f230192d96f77d60f9bda28bb">handleLogoutRequests</a> ($check_client=true, $allowed_clients=false)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_basic.html#ga3afdd7ea1d4d753fafcdff49c51c8e09">setCasServerCert</a> ($cert)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_basic.html#gac12c73488d65c5f7f34b39084926c688">setCasServerCACert</a> ($cert)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_basic.html#ga94d0237a67f4c82da1d92c5c4e73aece">setNoCasServerValidation</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage.html#ga24dbbca8c79e42dacd44d87b94df1336">setPGTStorageFile</a> ($format='', $path='')</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage.html#ga885e4e413e69098a3a514427cd5addb4">setPGTStorageDB</a> ($user, $password, $database_type, $hostname, $port, $database, $table)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage.html#ga3cfb41ba29adf2aa9bdb2cddb1564e8c">_curl_read_headers</a> ($ch, $header)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage.html#ga193806008e1fc68c4d8f384366f13b3e">serviceWeb</a> ($url, &amp;$err_code, &amp;$output)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage.html#ga11310ac24c9f5405129b2a47de8d20ee">serviceMail</a> ($url, $flags, &amp;$err_code, &amp;$err_msg, &amp;$pt)</td></tr>
<tr><td colspan="2"><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_config.html#gae0fc1b5849a4ddda6d2ac184ac609a26">$_curl_options</a> = array()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage.html#ga7637b991584dfbe8bdb2e9d243be66c9">$_curl_headers</a> = array()</td></tr>
<tr><td colspan="2"><h2>Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_output.html#ga14f7344590b9ea8bc75cf406e6b72e1d">HTMLFilterOutput</a> ($str)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_output.html#ga729d029afcd908c73f4cd953fbb93ff6">printHTMLHeader</a> ($title)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_output.html#gaf4185028c6d4054757164c8919e592aa">printHTMLFooter</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_lang.html#ga2c56528158e1cfc31f84dd03b3ef3464">getLang</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_lang.html#gae6d54280d83248f1b123b91aae12f944">getString</a> ($str)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_config.html#ga2fd21c11b4e3878c82bc65af39fd40ba">getServerVersion</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_config.html#ga40298cacb4ec16a66e9579126f72a2c9">getServerHostname</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_config.html#gae39e257df8278aedc313782b8ec4f087">getServerPort</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_config.html#ga5ddf106ed3c6fb584f41f30cff8efae9">getServerURI</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_config.html#ga99aa47964b7447d75deca1cf2c873377">getServerBaseURL</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_config.html#ga76fb40e15004b31d85522ba641e7b842">getServerLoginURL</a> ($gateway=false, $renew=false)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_config.html#ga4ce0ed78f2a774c4c8e93f6967a5a7a4">setServerLoginURL</a> ($url)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_config.html#ga9bbd5b923772625ee3fc23ef07a641d3">getServerServiceValidateURL</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_config.html#ga900e70b93d8aa16bccd11de19c9322f6">getServerProxyValidateURL</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_config.html#ga9062a1ea9866c4c1e5a485c0d4ee0f80">getServerProxyURL</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_config.html#gae5b55ff9a82586d2b85181de1e4dba78">getServerLogoutURL</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_config.html#gabdc96864e422fab32d2f4412749f5239">setServerLogoutURL</a> ($url)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_config.html#ga38aaa519cdc07340eccf41333cd45975">isHttps</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_authentication.html#gaa777df1226ebeb2b85179af753c51109">setUser</a> ($user)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_authentication.html#gafbdcb947be02bbd290980282c40d276d">wasPreviouslyAuthenticated</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_authentication.html#gad5292d4eff24240df9589dbc226197c7">isLogoutRequest</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_authentication.html#gab5c954e457c6f43c9902d9380ef8ac81">isLogoutRequestAllowed</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_basic.html#gacc7692242bf95b8429d704de40a6cd52">getST</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_basic.html#gaca73a8a7c4adb1175c4ba0e3812979db">setST</a> ($st)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_basic.html#ga76f2832ba150597409e47421aaaaa35e">hasST</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_basic.html#gacf3f1b530d4e029b3124558cc74d56cb">validateST</a> ($validate_url, &amp;$text_response, &amp;$tree_response)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_proxy.html#ga2fc9093d2b76fdcce819ca693021f0c9">isProxy</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_proxy.html#gaf4f57e87e57847f93ebac1acacc60f8a">getPGT</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_proxy.html#gaeccecf5dc011daf09720c1acf4380f63">setPGT</a> ($pgt)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_proxy.html#ga432d879c0441763b4c1c1582bf1bc44c">hasPGT</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_callback.html#ga32355da8dec2de8de0b8bd3a29f8b041">setCallbackMode</a> ($callback_mode)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_callback.html#gac5e4db434f458b4ec1c591d475ddef53">isCallbackMode</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_callback.html#ga09ffc75739bdcb7dff15c16faafd07c9">getCallbackURL</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_callback.html#ga78b8045da0dd166fae54f9850c8934de">setCallbackURL</a> ($url)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_callback.html#gad97c1a5034db62dae9ac03062539b1cc">callback</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage.html#ga322a10ebbb6c3ef2e0d114fa83171a8a">initPGTStorage</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage.html#ga3f1650d36cad4d7a70cb4b37b2a9b6b7">storePGT</a> ($pgt, $pgt_iou)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage.html#ga0226ea3ecb328552d11dec260b75e7af">loadPGT</a> ($pgt_iou)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage.html#gaff6d96062187548ffba93dd7edbca563">validatePGT</a> (&amp;$validate_url, $text_response, $tree_response)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage.html#ga6653e51d995e8a13a2f758f93e7dc7a0">retrievePT</a> ($target_service, &amp;$err_code, &amp;$err_msg)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage.html#gad615ece3809389418cc18b099369f2a4">readURL</a> ($url, $cookies, &amp;$headers, &amp;$body, &amp;$err_msg)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_proxied.html#gaf916fb31175e9dd4b8f383f6f6085982">getPT</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_proxied.html#ga23e26824081b516fcbe856f459249956">setPT</a> ($pt)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_proxied.html#ga72ebeda5e6c9dbaac0e1e20a9e6419e4">hasPT</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_proxied.html#ga59ed21e8f3d40c8f33d277ca7ea3224f">validatePT</a> (&amp;$validate_url, &amp;$text_response, &amp;$tree_response)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_misc.html#gacb55b82062ce0ebfbcec711b87024fe0">getURL</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_misc.html#ga1a5732046154c0f69d040513309af5d1">setURL</a> ($url)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_misc.html#ga4dda8e03389ad8a515d4e45cb42859ca">authError</a> ($failure, $cas_url, $no_response, $bad_response='', $cas_response='', $err_code='', $err_msg='')</td></tr>
<tr><td colspan="2"><h2>Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_output.html#ga657b1ef45e433939dcd7b770a15afa30">$_output_header</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_output.html#ga9d26cc162f6545be562a29957cb7a1d6">$_output_footer</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_lang.html#ga1895c3f377e0b35564a46e897155cd69">$_lang</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_lang.html#gab8f7d2cc01562b5bc7520d1d501d8796">$_strings</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_config.html#ga8ecf31d278a963de084af52286ebc530">$_server</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_authentication.html#ga88717b5779f2555ba9375e35e37635d2">$_user</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_authentication.html#gadf79f4ad7e8c7d0e641eba3b92a697ec">$_cache_times_for_auth_recheck</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_basic.html#gad790c032504597c075875197f64cc73b">$_st</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_basic.html#ga28b7a83796b4972a2fbc0d3791e0185c">$_cas_server_cert</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_basic.html#gaa78eb6b7d01c48e6d236c513e9b33e45">$_cas_server_ca_cert</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_basic.html#ga563b04790a9c60dbcff5ddb8e9741715">$_no_cas_server_validation</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_proxy.html#ga3439bf6d03dccb2d1d4a44d7bf4d17b0">$_proxy</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_proxy.html#gad08b04a7a65b9a20096a23486b5d562a">$_pgt</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_callback.html#gae5f9e206e91e344b3b916e7b3d8cfdf4">$_callback_mode</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_callback.html#ga5aec2b53fa9780b162c609c40cd93069">$_callback_url</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage.html#gab6c9bdf5c43999a3b8b8e35036cb491d">$_pgt_storage</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_proxied.html#ga871da1b6b42d8afdab4198bf2d38cadc">$_pt</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_misc.html#gae81fd3e2221392281541b41a973b965c">$_url</a></td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>The <a class="el" href="class_c_a_s_client.html">CASClient</a> class is a client interface that provides CAS <a class="el" href="classauthentication.html">authentication</a> to PHP applications.</p>
<dl class="author"><dt><b>Author:</b></dt><dd>Pascal Aubry &lt;pascal.aubry at univ-rennes1.fr&gt; </dd></dl>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>D:/web/serveur/dokeos/acces_wims/phpcas/CAS/<a class="el" href="client_8php.html">client.php</a></li>
</ul>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Thu Oct 8 11:33:56 2009 for wims by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
